package com.gyee.frame.service.benchmarking;

import com.gyee.frame.mapper.benchmarking.PowerCompareDetailMapper;
import com.gyee.frame.model.benchmarking.PowerCompareDetail;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * @ClassName : PowerCompareDetailService
 * @Author : xieshengjie
 * @Date: 2021/1/30 19:15
 * @Description : 风机绩效榜明细service
 */
@Service
public class PowerCompareDetailService   {
    @Resource
    private PowerCompareDetailMapper powerCompareDetailMapper;

    public List<PowerCompareDetail> getDetailInfo(Date beginDate, Date endDate, int i) {
        List<PowerCompareDetail> list = powerCompareDetailMapper.getDetailInfo(beginDate,endDate,i);
       return  list;
    }

    public List<PowerCompareDetail> getDetailWtInfo(Date begin, Date end, String wpId, String pjId, String xlId) {
        List<PowerCompareDetail> list = powerCompareDetailMapper.getDetailWtInfo(begin,end,wpId,pjId,xlId);
        return  list;
    }
}
